KGlobalSettings class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KGlobalSettings Class Reference

Access the KDE global configuration. More...

`#include <kglobalsettings.h>`

Collaboration diagram for KGlobalSettings:

[legend]
List of all members.

## Public Types
enum | TearOffHandle { Disable = 0, ApplicationLevel, Enable }
| This enum describes the return type for insertTearOffHandle() wether to insert a handle or not. More...
enum | Completion { CompletionNone = 1, CompletionAuto, CompletionMan, CompletionShell, CompletionPopup, CompletionPopupAuto }
| This enum describes the completion mode used for by the KCompletion class. More...
## Static Public Member Functions
int | dndEventDelay ()
| Returns a threshold in pixels for drag & drop operations.
bool | singleClick ()
| Returns whether KDE runs in single (default) or double click mode.
TearOffHandle | insertTearOffHandle ()
| Returns whether tear-off handles are inserted in KPopupMenus.
bool | changeCursorOverIcon ()
| Checks whether the cursor changes over icons.
bool | visualActivate ()
| Checks whether to show feedback when in item (specifically an icon) is activated.
unsigned int | visualActivateSpeed ()
| Returns the speed of the visual activation feedback.
int | autoSelectDelay ()
| Returns the KDE setting for the auto-select option.
int | contextMenuKey ()
| Returns the KDE setting for the shortcut key to open context menus.
bool | showContextMenusOnPress ()
| Returns the KDE setting for context menus.
Completion | completionMode ()
| Returns the preferred completion mode setting.
KMouseSettings & | mouseSettings ()
| This returns the current mouse settings.
QString | desktopPath ()
| The path to the desktop directory of the current user.
QString | autostartPath ()
| The path to the autostart directory of the current user.
QString | trashPath ()
| The path to the trash directory of the current user.
QString | documentPath ()
| The path where documents are stored of the current user.
QColor | toolBarHighlightColor ()
| The default color to use when highlighting toolbar buttons.
QColor | inactiveTitleColor ()
| The default color to use for inactive titles.
QColor | inactiveTextColor ()
| The default color to use for inactive texts.
QColor | activeTitleColor ()
| The default color to use for active titles.
QColor | activeTextColor ()
| The default color to use for active texts.
int | contrast ()
| Returns the contrast for borders.
QColor | baseColor ()
| Returns the default base (background) color.
QColor | textColor ()
| Returns the default text color.
QColor | linkColor ()
| Returns the default link color.
QColor | visitedLinkColor ()
| Returns the default color for visited links.
QColor | highlightedTextColor ()
| Returns the default color for highlighted text.
QColor | highlightColor ()
| Returns the default color for text highlights.
QColor | alternateBackgroundColor ()
| Returns the alternate background color used by KListView with KListViewItem.
QColor | calculateAlternateBackgroundColor (const QColor &base)
| Calculates a color based on `base` to be used as alternating color for e.g.
QFont | generalFont ()
| Returns the default general font.
QFont | fixedFont ()
| Returns the default fixed font.
QFont | toolBarFont ()
| Returns the default toolbar font.
QFont | menuFont ()
| Returns the default menu font.
QFont | windowTitleFont ()
| Returns the default window title font.
QFont | taskbarFont ()
| Returns the default taskbar font.
QFont | largeFont (const QString &text=QString::null)
| Returns a font of approx.
bool | isMultiHead ()
| Returns if the user specified multihead.
bool | wheelMouseZooms ()
| Typically, QScrollView derived classes can be scrolled fast by holding down the Ctrl-button during wheel-scrolling.
## Friends
class | KApplication

## Detailed Description

Access the KDE global configuration.

Author:
  David Faure <faure@kde.org>

Version:
  Id
    kglobalsettings.h,v 1.42 2002/09/28 12:28:47 tjansen Exp

Definition at line 40 of file kglobalsettings.h.

## Member Enumeration Documentation

enum KGlobalSettings::TearOffHandle

  | This enum describes the return type for insertTearOffHandle() wether to insert a handle or not. Applications who independently want to use handles in their popup menus should test for Application level before calling the appropriate function in KPopupMenu. Since: 3,1 Enumeration values:
  Disable | disable tear-off handles
  ApplicationLevel | enable on application level
  Enable | enable tear-off handles
Definition at line 103 of file kglobalsettings.h. Referenced by insertTearOffHandle().

enum KGlobalSettings::Completion

  | This enum describes the completion mode used for by the KCompletion class. See the styleguide. Enumeration values:
  CompletionNone | No completion is used.
  CompletionAuto | Text is automatically filled in whenever possible.
  CompletionMan | Same as automatic except shortest match is used for completion.
  CompletionShell | Complete text much in the same way as a typical *nix shell would.
  CompletionPopup | Lists all possible matches in a popup list-box to choose from.
  CompletionPopupAuto | Lists all possible matches in a popup list-box to choose from, and automatically fill the result whenever possible.
Definition at line 164 of file kglobalsettings.h. Referenced by completionMode(), KCompletionBase::completionMode(), and KCompletion::completionMode().

## Member Function Documentation

int KGlobalSettings::dndEventDelay | ( |  | ) | `[static]`

| Returns a threshold in pixels for drag & drop operations. As long as the mouse movement has not exceeded this number of pixels in either X or Y direction no drag operation may be started. This prevents spurious drags when the user intended to click on something but moved the mouse a bit while doing so. For this to work you must save the position of the mouse (oldPos) in the QWidget::mousePressEvent(). When the position of the mouse (newPos) in a QWidget::mouseMoveEvent() exceeds this threshold you may start a drag which should originate from oldPos. Example code:
     void KColorCells::mousePressEvent( QMouseEvent *e )
     {
        mOldPos = e->pos();
     }

     void KColorCells::mouseMoveEvent( QMouseEvent *e )
     {
        if( !(e->state() && LeftButton)) return;

        int delay = KGlobalSettings::dndEventDelay();
        QPoint newPos = e->pos();
        if(newPos.x() > mOldPos.x()+delay || newPos.x() < mOldPos.x()-delay ||
           newPos.y() > mOldPos.y()+delay || newPos.y() < mOldPos.y()-delay)
        {
           // Drag color object
           int cell = posToCell(mOldPos); // Find color at mOldPos
           if ((cell != -1) && colors[cell].isValid())
           {
              KColorDrag *d = KColorDrag::makeDrag( colors[cell], this);
              d->dragCopy();
           }
        }
     }

Returns:
  the threshold for drag & drop in pixels

Definition at line 62 of file kglobalsettings.cpp.

References KGlobal::config(), KConfigBase::readNumEntry(), and QApplication::startDragDistance().

bool KGlobalSettings::singleClick | ( |  | ) | `[static]`

| Returns whether KDE runs in single (default) or double click mode. see http://developer.kde.org/documentation/standards/kde/style/mouse/index.html Returns: true if single click mode, or false if double click mode. Definition at line 69 of file kglobalsettings.cpp. References KGlobal::config(), and KConfigBase::readBoolEntry().

KGlobalSettings::TearOffHandle KGlobalSettings::insertTearOffHandle | ( |  | ) | `[static]`

| Returns whether tear-off handles are inserted in KPopupMenus. Returns: whether tear-off handles are inserted in KPopupMenus. Since: 3.1 Definition at line 76 of file kglobalsettings.cpp. References KGlobal::config(), KConfigBase::readNumEntry(), and TearOffHandle.

bool KGlobalSettings::changeCursorOverIcon | ( |  | ) | `[static]`

| Checks whether the cursor changes over icons. Returns: the KDE setting for "change cursor over icon" Definition at line 85 of file kglobalsettings.cpp. References KGlobal::config(), and KConfigBase::readBoolEntry().

bool KGlobalSettings::visualActivate | ( |  | ) | `[static]`

| Checks whether to show feedback when in item (specifically an icon) is activated. Returns: whether to show some feedback when an item is activated. Definition at line 92 of file kglobalsettings.cpp. References KGlobal::config(), and KConfigBase::readBoolEntry(). Referenced by KIconEffect::visualActivate().

unsigned int KGlobalSettings::visualActivateSpeed | ( |  | ) | `[static]`

| Returns the speed of the visual activation feedback. Returns: the speed of the visual activation feedback, between 0 for minimum and 100 for maximum speed Definition at line 99 of file kglobalsettings.cpp. References KGlobal::config(), and KConfigBase::readNumEntry(). Referenced by KIconEffect::visualActivate().

int KGlobalSettings::autoSelectDelay | ( |  | ) | `[static]`

| Returns the KDE setting for the auto-select option. Returns: the auto-select delay or -1 if auto-select is disabled. Definition at line 112 of file kglobalsettings.cpp. References KGlobal::config(), and KConfigBase::readNumEntry().

int KGlobalSettings::contextMenuKey | ( |  | ) | `[static]`

| Returns the KDE setting for the shortcut key to open context menus. Returns: the key that pops up context menus. Definition at line 141 of file kglobalsettings.cpp. References KConfigGroupSaver::config(), KGlobal::config(), KStdAction::cut(), and KConfigBase::readEntry().

bool KGlobalSettings::showContextMenusOnPress | ( |  | ) | `[static]`

| Returns the KDE setting for context menus. Returns: whether context menus should be shown on button press or button release (click). Definition at line 133 of file kglobalsettings.cpp. References KConfigGroupSaver::config(), KGlobal::config(), and KConfigBase::readBoolEntry().

KGlobalSettings::Completion KGlobalSettings::completionMode | ( |  | ) | `[static]`

| Returns the preferred completion mode setting. Returns: Completion. Default is `CompletionPopup`. Definition at line 119 of file kglobalsettings.cpp. References KStdAccel::completion(), Completion, CompletionNone, CompletionPopup, CompletionPopupAuto, KGlobal::config(), and KConfigBase::readNumEntry(). Referenced by KCompletion::KCompletion(), and KCompletionBase::KCompletionBase().

KGlobalSettings::KMouseSettings & KGlobalSettings::mouseSettings | ( |  | ) | `[static]`

| This returns the current mouse settings. Returns: the current mouse settings Definition at line 538 of file kglobalsettings.cpp. References KGlobal::config(), KGlobalSettings::KMouseSettings::handed, and KConfigBase::readEntry().

QString KGlobalSettings::desktopPath | ( |  | ) | `[inline, static]`

| The path to the desktop directory of the current user. Returns: the user's desktop directory Definition at line 218 of file kglobalsettings.h.

QString KGlobalSettings::autostartPath | ( |  | ) | `[inline, static]`

| The path to the autostart directory of the current user. Returns: the path of the autostart directory Definition at line 224 of file kglobalsettings.h.

QString KGlobalSettings::trashPath | ( |  | ) | `[inline, static]`

| The path to the trash directory of the current user. Returns: the path of the trash directory Definition at line 230 of file kglobalsettings.h.

QString KGlobalSettings::documentPath | ( |  | ) | `[inline, static]`

| The path where documents are stored of the current user. Returns: the path of the document directory Definition at line 236 of file kglobalsettings.h.

QColor KGlobalSettings::toolBarHighlightColor | ( |  | ) | `[static]`

| The default color to use when highlighting toolbar buttons. Returns: the toolbar highlight color Definition at line 150 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::inactiveTitleColor | ( |  | ) | `[static]`

| The default color to use for inactive titles. Returns: the inactive title color Definition at line 158 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::inactiveTextColor | ( |  | ) | `[static]`

| The default color to use for inactive texts. Returns: the inactive text color Definition at line 167 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::activeTitleColor | ( |  | ) | `[static]`

| The default color to use for active titles. Returns: the active title color Definition at line 174 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::activeTextColor | ( |  | ) | `[static]`

| The default color to use for active texts. Returns: the active text color Definition at line 182 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

int KGlobalSettings::contrast | ( |  | ) | `[static]`

| Returns the contrast for borders. Returns: the contrast (between 0 for minimum and 10 for maximum contrast) Definition at line 189 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readNumEntry(). Referenced by KApplication::createApplicationPalette().

QColor KGlobalSettings::baseColor | ( |  | ) | `[static]`

| Returns the default base (background) color. Returns: the default base (background) color See also: QColorGroup::base() Definition at line 199 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry(). Referenced by alternateBackgroundColor().

QColor KGlobalSettings::textColor | ( |  | ) | `[static]`

| Returns the default text color. Returns: the default text color See also: QColorGroup::text() Definition at line 209 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::linkColor | ( |  | ) | `[static]`

| Returns the default link color. Returns: the default link color Definition at line 263 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::visitedLinkColor | ( |  | ) | `[static]`

| Returns the default color for visited links. Returns: the default color for visited links Definition at line 271 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::highlightedTextColor | ( |  | ) | `[static]`

| Returns the default color for highlighted text. Returns: the default color for highlighted text See also: QColorGroup::hightlightedText() Definition at line 219 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::highlightColor | ( |  | ) | `[static]`

| Returns the default color for text highlights. Returns: the default color for text highlights See also: QColorGroup::hightlight() Definition at line 229 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::alternateBackgroundColor | ( |  | ) | `[static]`

| Returns the alternate background color used by KListView with KListViewItem. Any other list that uses alternating background colors should use this too, to obey to the user's preferences. Returns an invalid color if the user doesn't want alternating backgrounds. Returns: the alternate background color See also: calculateAlternateBackgroundColor Definition at line 237 of file kglobalsettings.cpp. References baseColor(), calculateAlternateBackgroundColor(), KGlobal::config(), QString::fromLatin1(), and KConfigBase::readColorEntry().

QColor KGlobalSettings::calculateAlternateBackgroundColor | ( | const QColor & | base | ) | `[static]`

  | Calculates a color based on `base` to be used as alternating color for e.g. listviews. Parameters:
  base | the base for the calculation
Returns: the calculated color See also: alternateBackgroundColor Definition at line 246 of file kglobalsettings.cpp. References QColor::dark(), and QColor::light(). Referenced by alternateBackgroundColor().

QFont KGlobalSettings::generalFont | ( |  | ) | `[static]`

| Returns the default general font. Returns: the default general font. Definition at line 278 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), KConfigBase::readFontEntry(), QFont::setPixelSize(), and QFont::setStyleHint(). Referenced by largeFont().

QFont KGlobalSettings::fixedFont | ( |  | ) | `[static]`

| Returns the default fixed font. Returns: the default fixed font. Definition at line 294 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), KConfigBase::readFontEntry(), QFont::setPixelSize(), and QFont::setStyleHint().

QFont KGlobalSettings::toolBarFont | ( |  | ) | `[static]`

| Returns the default toolbar font. Returns: the default toolbar font. Definition at line 310 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), KConfigBase::readFontEntry(), QFont::setPixelSize(), and QFont::setStyleHint().

QFont KGlobalSettings::menuFont | ( |  | ) | `[static]`

| Returns the default menu font. Returns: the default menu font. Definition at line 326 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), KConfigBase::readFontEntry(), QFont::setPixelSize(), and QFont::setStyleHint().

QFont KGlobalSettings::windowTitleFont | ( |  | ) | `[static]`

| Returns the default window title font. Returns: the default window title font. Definition at line 342 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), KConfigBase::readFontEntry(), QFont::setPixelSize(), and QFont::setStyleHint().

QFont KGlobalSettings::taskbarFont | ( |  | ) | `[static]`

| Returns the default taskbar font. Returns: the default taskbar font. Definition at line 358 of file kglobalsettings.cpp. References KGlobal::config(), QString::fromLatin1(), KConfigBase::readFontEntry(), QFont::setPixelSize(), and QFont::setStyleHint().

QFont KGlobalSettings::largeFont | ( | const QString & | text = QString::null | ) | `[static]`

  | Returns a font of approx. 48 pt. capable of showing `text`. Parameters:
  text | the text to test
Returns: the font that is capable to show the text with 48 pt Since: 3.1 Definition at line 375 of file kglobalsettings.cpp. References QFontDatabase::families(), QFont::family(), generalFont(), QFontMetrics::height(), QFontMetrics::inFont(), QFontDatabase::isFixedPitch(), QFontDatabase::isSmoothlyScalable(), QString::length(), QFont::setPixelSize(), and QFont::setPointSize().

bool KGlobalSettings::isMultiHead | ( |  | ) | `[static]`

| Returns if the user specified multihead. In case the display has multiple screens, the return value of this function specifies if the user wants KDE to run on all of them or just on the primary Returns: true if the user chose multi head Definition at line 591 of file kglobalsettings.cpp. References QCString::isEmpty(), and QCString::lower().

bool KGlobalSettings::wheelMouseZooms | ( |  | ) | `[static]`

| Typically, QScrollView derived classes can be scrolled fast by holding down the Ctrl-button during wheel-scrolling. But QTextEdit and derived classes perform zooming instead of fast scrolling. This value determines whether the user wants to zoom or scroll fast with Ctrl-wheelscroll. Returns: true if the user wishes to zoom with the mouse wheel, false for scrolling Since: 3.1 Definition at line 600 of file kglobalsettings.cpp. References KGlobal::config().

The documentation for this class was generated from the following files:

- kglobalsettings.h
- kglobalsettings.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:49:09 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001